Currently Running 6.3.0-12 firmware, should I buy an older 3DS?

Discussion in '3DS - Flashcards & Custom Firmwares' started by StruttingPhil, Nov 6, 2013.

  1. StruttingPhil
    OP

    StruttingPhil Advanced Member

    Newcomer
    51
    2
    Sep 4, 2012
    United States
    I am very interested in getting a Gateway 3DS or a R4I Gold 3DS, but I'm running really up to date firmware on my 3DS. Should I wait to see if the 5.0 and 6.0 firmwares get supported or should I just buy a 3DS system that was produced sometime in 2012 or earlier?
     


  2. Vappy

    Vappy GBAtemp Advanced Maniac

    Member
    1,507
    1,154
    May 23, 2012
    No telling when or even if higher firmwares will be supported. Depends on how patient you are.
     
  3. Technicmaster0

    Technicmaster0 GBAtemp Psycho!

    Member
    3,139
    647
    Oct 22, 2011
    Gambia, The
    I'd buy an older 3DS because you won't have problems with updates in the future if you keep one system offline and currently there is no 5.X or 6.X patch possible.
     
  4. robo989

    robo989 GBAtemp Regular

    Member
    145
    56
    Jul 13, 2010
    United States
    These questions keep coming up.
    Nobody knows for sure, we know as much as you do.
    An educated guess would be that you'll be waiting at least 4-6 months for any kind of support for Firmware 5.0+. Based on that firmware 2.0 was announced ages ago now and we haven't even seen that yet.
    Of course it might never come, or might come tomorrow.
     
  5. omega59

    omega59 GBAtemp Fan

    Member
    488
    67
    Jul 14, 2007
    Canada
    I would wait it out. They are making much more progress finally, I'am sure they will find a way... as long as people are interested they will always find a way :)
     
  6. d4mation

    d4mation GBAtemp Regular

    Member
    170
    33
    Aug 3, 2013
    United States
    I'm also running 6.3 and my plan is to wait it out. However, staying on 6.3 as long as you can is likely your best bet. Pokemon X and Y only require 6.1 and Zelda will likely be the same way, so given that it may be some time before any game that requires higher than 6.3 is released. You'll just have to avoid the E-Shop or buy what you want now before a new update locks you out of the E-Shop.

    I didn't get a flashcart for my DS Lite until something like 7 years after getting it, so I personally don't mind waiting for the Gateway or R4i Gold 3DS to improve in the meantime. The only thing I'm particularly jealous of is EmuNAND in Gateway 2.0 and Smealum's custom firmware which has allowed him to take screenshots whilst in any game.
     
  7. DarkKnigh_t

    DarkKnigh_t GBAtemp Fan

    Member
    409
    55
    Oct 30, 2013
    Croatia
    Zagreb, Croatia
    im also on 6.3 and i will wait. they will hack it and if not they will find a way to downgrade. thats my opinion as long as people are interested they will work on it. buying a new 3ds costs like a handfull of second hand games that might last you until they hack it. think about it like this gateway is the first so the hacking just took off so il wait there will be more things to come :)
     
    the_randomizer likes this.
  8. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,609
    Nov 3, 2013
    United States
    I doubt GW team will personally exploit 6.3+, but if anyone else does I'm sure they'd update their hax. It could be a really long time though - The 360 had 3 years between major exploits, for what it's worth.
     
  9. UltraBagelMan

    UltraBagelMan Member

    Newcomer
    11
    3
    Oct 9, 2013
    United States
    Minnesota
    Yeah, I would wait it out, I have one with the same firmware and that's what I'm doing. They keep making tons of progress in a matter of months, and with all the copycats I would expect that to be supported eventually
     
  10. IronClouds

    IronClouds GBAtemp's Pokébro

    Member
    1,019
    460
    May 8, 2010
    United States
    It's nice to have two 3DS'es anyway. One to use Gateway with and another to be able to take games online and update as needed. Pokémon, for example, is a game that is moving more and more of its functionality online. As someone who's never played a Pokémon game online (aside from Mystery Gifts with my Acekard on Pokémon Black), I'm starting to see how much fun it is just from word of mouth. That alone is really making me consider getting another 3DS to be able to take legit games online.

    Maybe I'm just growing up, or maybe I'm just getting lazy, but going legit is starting to become more and more appealing mainly for the convenience of it. Anyway, I digress. If you have the money to spend, I recommend to have two 3DS'es so you can have the best of both worlds.
     
    jagerstaffel and WulfyStylez like this.
  11. CrimzonEyed

    CrimzonEyed GBAtemp Addict

    Member
    2,494
    313
    Sep 3, 2007
    Or you know, you could just buy the games you want. Don't need an old firmware for that ;-)
     
    Corrie likes this.
  12. DarkKnigh_t

    DarkKnigh_t GBAtemp Fan

    Member
    409
    55
    Oct 30, 2013
    Croatia
    Zagreb, Croatia
    couldn't you with gateway 2.0 use it to play roms and buy games and play them online?
     
  13. StruttingPhil
    OP

    StruttingPhil Advanced Member

    Newcomer
    51
    2
    Sep 4, 2012
    United States
    That is actually a really good idea.
     
  14. StruttingPhil
    OP

    StruttingPhil Advanced Member

    Newcomer
    51
    2
    Sep 4, 2012
    United States
    That is true

    I'm really interested in the possibility of homebrew in the future, people could make insane emulators if they could run in 3ds mode
     
  15. CJL18

    CJL18 GBAtemp Advanced Fan

    Member
    867
    66
    Mar 4, 2007
    United States

    That's what I did couldn't chance Zelda not working on gateway
     
    IronClouds likes this.
  16. StruttingPhil
    OP

    StruttingPhil Advanced Member

    Newcomer
    51
    2
    Sep 4, 2012
    United States
    There is a good chance that someone will find a way to get the GateWay or the R4i 3DS cards to work on newer firmware, people want to run them on there 2DS's.
     
  17. WulfyStylez

    WulfyStylez SALT/Bemani Princess

    Member
    1,149
    2,609
    Nov 3, 2013
    United States
    Whether or not people want exploits to exist doesn't make them exist. For Gateway to have their card working on newer firmware, they'd have to find their own exploit. They've never done such - the exploit they use was well known for almost a year before they released their card.

    Likely if anyone releases a new hack, it's going to be one that kills flash carts. We don't actually need the Gateway cart to play backups - they just make games load from cart instead of from SD to make a quick buck and not have to make a more comprehensive hack.
     
  18. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,097
    5,169
    Mar 17, 2010
    Norway
    Alola
    Up to you. I've been waiting it out for a while but now that the upcoming 2.0 firmware will support the newest firmware via NAND emulation and maybe even multirom there is no reason to hold back anymore.
     
  19. jrr6415sun

    jrr6415sun GBAtemp Regular

    Member
    196
    54
    Aug 19, 2013
    United States
    buy an older 3DS, sell your new one.

    the 4.5 3DS consoles will be gone in a few months, and i wouldn't expect a new exploit being found anytime soon.
     
  20. sanderdsz

    sanderdsz Advanced Member

    Newcomer
    60
    7
    Dec 9, 2006
    Brazil
    Im going to wait.
    In this moment I'll just buy the games that I REALLY need to play, and try buy some used games from other people too.

    Sometime somewhere someone I'll eventually manage to run the FCs on the newer firmwares, is just a matter of time.
     
    DarkKnigh_t likes this.